You are not logged in.

#1 2013-03-13 08:05:24

Felixoid
Member
Registered: 2012-05-23
Posts: 7

[SOLVED] Dropbox issue

Hello.

Some days ago I upgraded system with pacman, then upgrade AUR packages with yaourt

I don't know in what moment dropbox is broken, but now I have next error:

$ dropboxd 
Traceback (most recent call last):
  File "<string>", line 6, in <module>
zipimport.ZipImportError: can't decompress data; zlib not available
$ /opt/dropbox/dropbox
Traceback (most recent call last):
  File "<string>", line 6, in <module>
zipimport.ZipImportError: can't decompress data; zlib not available
$ cat /opt/dropbox/VERSION
1.6.17

I try find solution, but don't know, what's wrong
zlib is installed, lib32-zlib also.
I try to make package of version 1.6.18 by edit PKGBUILD, result is same.
It's a work desktop. On home laptop without update dropbox (but with upgraded system with pacman) all works fine

Please, help me find a solution.

Last edited by Felixoid (2013-04-09 07:57:05)

Offline

#2 2013-03-13 08:55:07

Awebb
Member
Registered: 2010-05-06
Posts: 4,426

Re: [SOLVED] Dropbox issue

Is your mirror out of sync? Check the versions of zlib and lib32-zlib against the one on the home page.

Offline

#3 2013-03-13 12:51:28

Felixoid
Member
Registered: 2012-05-23
Posts: 7

Re: [SOLVED] Dropbox issue

No, *zlib are last versions

$ pacman -Q zlib lib32-zlib
zlib 1.2.7-1
lib32-zlib 1.2.7-1

https://www.archlinux.org/packages/?q=zlib
my mirrorlist:

$ egrep -v '#|^$' /etc/pacman.d/mirrorlist
Server = http://mirror.yandex.ru/archlinux/$repo/os/$arch
Server = ftp://ftp.rediris.es/mirror/archlinux/$repo/os/$arch
Server = http://sunsite.rediris.es/mirror/archlinux/$repo/os/$arch
Server = ftp://archlinux.puzzle.ch/$repo/os/$arch
Server = http://archlinux.puzzle.ch/$repo/os/$arch

I made package of dropbox version 1.4.8, it's worked. Also just now version 2.0.0 of dropbox out, zipimport.ZipImportError still is.
Maybe, it's python version error?

Last edited by Felixoid (2013-03-13 12:51:53)

Offline

#4 2013-04-05 12:22:29

Felixoid
Member
Registered: 2012-05-23
Posts: 7

Re: [SOLVED] Dropbox issue

It's impossible, I can't update dropbox to version higher, then 1.4.*
minutes ago updated dropbox to 2.0.4 from AUR and again have same error:

[16:13:51] felixoid@felix-lhmc [~] $ dropboxd 
Traceback (most recent call last):
  File "<string>", line 6, in <module>
zipimport.ZipImportError: can't decompress data; zlib not available

Please help me to solve this issue

Offline

#5 2013-04-05 14:37:34

Felixoid
Member
Registered: 2012-05-23
Posts: 7

Re: [SOLVED] Dropbox issue

it's absolutly strange... If i download and unpack https://dl-web.dropbox.com/u/17/dropbox … 0.5.tar.gz directly to .dropbox-dist and launch ./.dropbox-dist/dropboxd - it's start normal.

But if I download tarball from https://aur.archlinux.org/packages/dropbox, replace version to 2.0.5 (with replacing sha256sum) and makes package then simple use of `dropboxd` cause error about zlib.

What's wrong? What's changed with installing dropbox with pacman?

Sorry again about not very well english

Offline

#6 2013-04-06 01:15:09

cfr
Member
From: Cymru
Registered: 2011-11-27
Posts: 5,662

Re: [SOLVED] Dropbox issue

The package should install its own version of zlib under /opt/dropbox and dropbox should use this so it should be irrelevant what is installed on your system.

Try editing /opt/dropbox/dropboxd by adding set +x as the first non-commented non-bang! line. Then run dropboxd and see if it gives you useful information about where it is looking for libraries.

Last edited by cfr (2013-04-06 01:15:59)


How To Ask Questions The Smart Way | Help Vampires

Arch Linux | x86_64 | GPT | EFI boot | grub2 | systemd | LVM2 on LUKS
Lenovo x121e | Intel(R) Core(TM) i3-2367M CPU @ 1.40GHz GenuineIntel | Intel Centrino Wireless-N 1000 | US keyboard with Euro | 320G 7200 RPM Seagate HDD

Offline

#7 2013-04-08 09:03:30

Felixoid
Member
Registered: 2012-05-23
Posts: 7

Re: [SOLVED] Dropbox issue

Are you mean `set -x`?

there is scrip /opt/dropbox/dropboxd

#!/bin/sh

# Copyright 2008 Evenflow, Inc., 2010 Dropbox
#
# Environment script for the dropbox executable.

set -x
PAR=$(dirname $(readlink -f $0))
OLD_LD_LIBRARY_PATH=$LD_LIBRARY_PATH
LD_LIBRARY_PATH=$PAR${LD_LIBRARY_PATH:+:}$LD_LIBRARY_PATH
exec $PAR/dropbox $@

and there is output

$ dropboxd 
+++ readlink -f /usr/bin/dropboxd
++ dirname /opt/dropbox/dropboxd
+ PAR=/opt/dropbox
+ OLD_LD_LIBRARY_PATH=/opt/intel/composer_xe_2011_sp1.11.339/compiler/lib/intel64:/opt/intel/composer_xe_2011_sp1.11.339/ipp/../compiler/lib/intel64:/opt/intel/composer_xe_2011_sp1.11.339/ipp/lib/intel64:/opt/intel/composer_xe_2011_sp1.11.339/compiler/lib/intel64:/opt/intel/composer_xe_2011_sp1.11.339/mkl/lib/intel64:/opt/intel/composer_xe_2011_sp1.11.339/tbb/lib/intel64//cc4.1.0_libc2.4_kernel2.6.16.21:/opt/intel/composer_xe_2011_sp1.11.339/debugger/lib/intel64:/opt/intel/composer_xe_2011_sp1.11.339/mpirt/lib/intel64
+ LD_LIBRARY_PATH=/opt/dropbox:/opt/intel/composer_xe_2011_sp1.11.339/compiler/lib/intel64:/opt/intel/composer_xe_2011_sp1.11.339/ipp/../compiler/lib/intel64:/opt/intel/composer_xe_2011_sp1.11.339/ipp/lib/intel64:/opt/intel/composer_xe_2011_sp1.11.339/compiler/lib/intel64:/opt/intel/composer_xe_2011_sp1.11.339/mkl/lib/intel64:/opt/intel/composer_xe_2011_sp1.11.339/tbb/lib/intel64//cc4.1.0_libc2.4_kernel2.6.16.21:/opt/intel/composer_xe_2011_sp1.11.339/debugger/lib/intel64:/opt/intel/composer_xe_2011_sp1.11.339/mpirt/lib/intel64
+ exec /opt/dropbox/dropbox
Traceback (most recent call last):
  File "<string>", line 6, in <module>
zipimport.ZipImportError: can't decompress data; zlib not available

First path of LD_LIBRARY_PATH is /opt/dropbox. I don't see whats may be wrong

Offline

#8 2013-04-08 13:21:51

Jristz
Member
From: America/Santiago
Registered: 2011-06-11
Posts: 921

Re: [SOLVED] Dropbox issue

> zlib not available

Maybe if you add anithink to try to export the pat to zlib??


Well, I suppose that this is somekind of signature, no?

Offline

#9 2013-04-08 13:39:27

brebs
Member
Registered: 2007-04-03
Posts: 3,439

Re: [SOLVED] Dropbox issue

Here's a little experiment:

$ (strace -e trace=file dropboxd 2>&1) | grep libz
open("/opt/dropbox/libz.so.1", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/usr/lib/libz.so.1", O_RDONLY|O_CLOEXEC) = 3

Offline

#10 2013-04-08 14:21:48

cfr
Member
From: Cymru
Registered: 2011-11-27
Posts: 5,662

Re: [SOLVED] Dropbox issue

Sorry about the typo. I meant set -x, yes.

How did you install dropbox? Assuming you used something from AUR, which package and which version? I don't understand why it wants libz at all...


How To Ask Questions The Smart Way | Help Vampires

Arch Linux | x86_64 | GPT | EFI boot | grub2 | systemd | LVM2 on LUKS
Lenovo x121e | Intel(R) Core(TM) i3-2367M CPU @ 1.40GHz GenuineIntel | Intel Centrino Wireless-N 1000 | US keyboard with Euro | 320G 7200 RPM Seagate HDD

Offline

#11 2013-04-09 07:56:45

Felixoid
Member
Registered: 2012-05-23
Posts: 7

Re: [SOLVED] Dropbox issue

cfr wrote:

Sorry about the typo. I meant set -x, yes.

How did you install dropbox? Assuming you used something from AUR, which package and which version? I don't understand why it wants libz at all...

Yhank you for help. I installed dropbox with simple `yaourt -S dropbox`

brebs
Thank's for a solution! Year ago I manualy installed libpng and zlib to /opt and dropbox find this libs in /opt/lib
`strace` is a good program :-j
Thank you all for help

Offline

Board footer

Powered by FluxBB